# -*- coding: UTF-8 -*-
# La ligne ci-dessus permet de spcifier l'encodage.
# Importation des modules ncessaires.
import addonHandler
import gui
import wx
# Pour les traductions.
addonHandler.initTranslation()
def onInstall():
	# Cette fonction s'excute durant la procdure d'installation de l'addon, on peut y dfinir des actions  excuter.
	# On vrifie si l'addon "iFree-Skype-Recorder-1.0" ne serait pas install.
	addon = [x for x in addonHandler.getAvailableAddons() if x.name == "iFree-Skype-Recorder-1.0"]
	if len(addon) > 0:
		# L'addon "iFree-SkypeRecorder-1.0" est bien install.
		addon = addon[0]
		# On propose  l'utilisateur de le dsinstaller.
		if gui.messageBox(
		# Message de la bote de dialogue.
		_("You have installed the 1.0 version of iFree-Skype-Recorder add-on which is incompatible with this one. Do you want to uninstall this old version?"),
		# Titre de la bote de dialogue.
		_("Uninstall incompatible version"),
		# Style de la bote de dialogue.
		wx.YES|wx.NO|wx.ICON_WARNING)==wx.YES:
			# L'utilisateur a rpondu oui, on dsinstalle l'addon.
			addon.requestRemove()
